Name:       perl-WWW-Mechanize-GZip 
Version:    0.12 
Release:    1%{?dist}
# lib/WWW/Mechanize/GZip.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Group:      Development/Libraries
Summary:    Fetch compressed webpages
Source:     http://search.cpan.org/CPAN/authors/id/P/PE/PEGI/WWW-Mechanize-GZip-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/WWW-Mechanize-GZip
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(WWW::Mechanize)

Requires:      perl(WWW::Mechanize)
Requires:      perl(Compress::Zlib)

%{?perl_default_filter}

%description
The WWW::Mechanize::GZip module tries to fetch a URL by requesting 
gzip-compression from the webserver.  If the response contains
a header with 'Content-Encoding: gzip', it decompresses the response in
order to get the original (uncompressed) content. This module will help
to reduce bandwith fetching webpages, if supported by the webeserver.
If the webserver does not support gzip-compression, no decompression
will be made.


%prep
%setup -q -n WWW-Mechanize-GZip-%{version}
find . -type f -exec chmod -x -c {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc README Changes 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sat Sep 26 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.12-1
- submission
- update filtering

* Sat Sep 26 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.12-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

